AMQPExchange::__construct
AMQPExchange::delete
AMQPExchange
PHP Manual

# AMQPExchange::declare

(PECL amqp >= Unknown)

AMQPExchange::declare — Declare a new exchange on the broker.

### Description

public void AMQPExchange::declare ([ string `$exchange_name` = "" [, string `$exchange_type` = `AMQP_EX_TYPE_DIRECT` [, string `$flags` = NULL ]]] )

Declare a new exchange on the broker with the given information. If an exchange by that name already exists and the `exchange_type` and/or `flags` are specified, the exchange settings will be updated.

If no `exchange_type` is specified and the exchange does not exist, the exchange type will default to "direct".

### Parameters

`exchange_name`

  The name of the exchange.

`exchange_type`

  The type of the exchange. Can be any of `AMQP_EX_TYPE_DIRECT`, `AMQP_EX_TYPE_FANOUT`, `AMQP_EX_TYPE_TOPIC` or `AMQP_EX_TYPE_HEADER`.

`flags`

  A bitmask of any of the flags: `AMQP_PASSIVE`, `AMQP_DURABLE`, `AMQP_AUTODELETE`.

### Return Values

### Examples

Example #1 AMQPExchange::declare() example

`<?php
/* Create a new connection */
$cnn = new AMQPConnection();
$ex = new AMQPExchange($cnn);
$ex->declare('new_topic_exchange', AMQP_DURABLE | AMQP_AUTODELETE);
?>`

AMQPExchange::__construct
AMQPExchange::delete
AMQPExchange
PHP Manual